dcm2image(1)

NAME
dcm2image - DICOM to Image

SYNOPSIS
dcm2image SearchDirList

DESCRIPTION
Combine sets of DICOM slices to 3D image stacks

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--no-progress
    Disable progress reporting.

  Input Options

--recurse, -r
    Recurse into directories

  Output Options

--out-pattern <string>, -O <string>
    Output image path pattern. Use the following substitutions: printf-style %d variante (image number); %n (image number with automatic number of digits); %N (like %n, but with a hyphen '-' before number if there is more than one image); %D (DICOM SeriesDescription); %R (DICOM RepetitionTime - MRI only); %E (DICOM EchoTime - MRI only); %T (RawDataType - vendor-specific, currently GE MRI only) [Default: image%n.nii ]

--xml, -x
    Write XML sidecar file for each created image.

--include-identifiers
    Include potentially protected identifying information (e.g., UIDs, device serial numbers, dates) in the created XML sidecar files.

--embed
    Embed DICOM information into output images as 'description' (if supported by output file format). Supported values: "StudyID_StudyDate", "PatientName", "SeriesDescription", "None", where the default is "None", or use one of the following:

    --StudyID_StudyDate
        StudyID, tag (0020,0010), then underscore, followed by StudyDate, tag (0008,0020). Date is appended because StudyID is four digits only and will repeat sooner or later.

    --PatientName
        Patient name, tag (0010,0010)

    --SeriesDescription
        Series description, tag (0008,103e)

    --None
        Embed no information - leave 'description' field empty. [This is the default]

  Filtering Options

--filter <string>
    Filter DICOM files and include only those matching the given pattern of the form 'TagName=text', such that the value of the DICOM tag with the given name contains the given text. If multiple filter patterns are provided via repeated use of this option, only files that match ALL patterns are included.

--exclude <string>
    Exclude all DICOM files matching the given pattern of the form 'TagName=text', such that the value of the DICOM tag with the given name contains the given text. If multiple exclusion patterns are provided, all files are excluded that match ANY of the patterns.

  Sorting Options

--no-sort
    Do NOT sort files by file name (sorting determines image stack order when resolving spatial collisions)

--sort-by-name
    Sort files lexicographically by file name. Use this when instance numbers are non-unique.

--sort-by-instance
    Sort files by image instance number. Use this when file names are different lengths, etc. [This is the default]

  Stacking Options

--write-single-slices
    Also write output images for single-slice DICOM files that could not be assigned to any 3D stacks. By default, these are skipped.

--ignore-acq-number
    Ignore 'AcquisitionNumber' tag for image grouping, i.e., do not separate stacks based on this tag.

--no-orientation-check
    Disable checking of image orientations (to avoid rounding issues)

--tolerance <double>
    Tolerance for floating-point comparisons (must be >= 0; 0 = exact matches only; default: 1e-5). If one or more volumes cannot be stacked because of non-uniform slice spacing that exceeds this threshold, dcm2image will return an exit code of 3. [Default: 1e-05]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.